Bug 1418442 - Intelligent host discovery by Scheduler should be backported
Summary: Intelligent host discovery by Scheduler should be backported
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 11.0 (Ocata)
Assignee: Dan Smith
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 20:41 UTC by Dan Smith
Modified: 2019-09-09 13:42 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-28 15:22:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 427903 0 None None None 2017-02-01 20:41:47 UTC

Description Dan Smith 2017-02-01 20:41:47 UTC
Description of problem:

In upstream Ocata, the scheduler can do periodic host discovery, but it is not efficient and requires listing all hosts in all cells on every cycle. By backporting the performance improvement patch, we can utilize this feature on reasonably-sized deployments. It contains a database migration so must be done before OSP11 GA.

Comment 2 Dan Smith 2018-03-28 15:22:25 UTC
This didn't get done for ocata and it's too late now because it required a database migration. It's already in 12 and was just a performance improvement.


Note You need to log in before you can comment on or make changes to this bug.